## ocaml-markup 1.0.3

=== Makefile ===
.PHONY : build
build :
	dune build -p markup,markup-lwt

# This is not part of the ordinary build process. The output file, entities.ml,
# is checked into git.
.PHONY : entities
entities :
	dune exec src/translate_entities/translate_entities.exe \
	  > src/entities.ml

.PHONY : test
test :
	dune runtest

.PHONY : coverage
coverage :
	find . -name '*.coverage' | xargs rm -f
	dune runtest --instrument-with bisect_ppx --force
	bisect-ppx-report html --expect src/ --do-not-expect src/translate_entities/
	bisect-ppx-report summary
	@echo See _coverage/index.html

.PHONY : performance-test
performance-test :
	dune exec test/performance/performance_markup.exe
	dune exec test/performance/performance_nethtml.exe
	dune exec test/performance/performance_xmlm.exe

.PHONY : js-test
js-test :
	dune build test/js_of_ocaml/test_js_of_ocaml.bc.js

.PHONY : dependency-test
dependency-test :
	dune exec test/dependency/dep_core.exe
	dune exec test/dependency/dep_lwt.exe
	dune exec test/dependency/dep_lwt_unix.exe

# Everything from here to "clean" is inactive, pending porting to odoc.
OCAML_VERSION := \
	$(shell ocamlc -version | grep -E -o '^[0-9]+\.[0-9]+' | sed 's/\.//')

OCAMLBUILD := ocamlbuild -use-ocamlfind -j 0 -no-links

HTML := docs/html
DOCFLAGS := -docflags -colorize-code

if_package = ! ocamlfind query $(1) > /dev/null 2> /dev/null || ( $(2) )

.PHONY : docs
docs : docs-odocl
	$(OCAMLBUILD) $(DOCFLAGS) doc/$(LIB).docdir/index.html
	rm -rf $(HTML)
	mkdir -p $(HTML)
	rsync -r _build/doc/$(LIB).docdir/* $(HTML)/
	cp doc/style.css $(HTML)/
	$(call if_package,lambdasoup,\
	  test $(OCAML_VERSION) -eq 402 \
	  || ( make docs-postprocess \
	  && rm -f $(HTML)/type_*.html $(HTML)/html.stamp $(HTML)/index*.html \
	  && _build/doc/postprocess.native ))
	@echo "\nSee $(HTML)/index.html"

.PHONY : docs-postprocess
docs-postprocess :
	$(OCAMLBUILD) postprocess.native

ODOCL := doc/markup.odocl

.PHONY : docs-odocl
docs-odocl :
	echo Markup > $(ODOCL)
	$(call if_package,lwt,echo Markup_lwt >> $(ODOCL))
	$(call if_package,lwt.unix,echo Markup_lwt_unix >> $(ODOCL))

PUBLISH := docs/publish

.PHONY : publish-docs
publish-docs : check-doc-prereqs docs
	rm -rf $(PUBLISH)
	mkdir -p $(PUBLISH)
	cd $(PUBLISH) \
		&& git init \
		&& git remote add github git@github.com:aantron/markup.ml.git \
		&& rsync -r ../html/* ./ \
		&& git add -A \
		&& git commit -m 'Markup.ml documentation.' \
		&& git push -uf github master:gh-pages

DOC_ZIP := docs/$(LIB)-$(VERSION)-doc.zip

.PHONY : package-docs
package-docs : check-doc-prereqs docs
	rm -f $(DOC_ZIP)
	zip -9 $(DOC_ZIP) $(HTML)/*

.PHONY : check-doc-prereqs
check-doc-prereqs :
	@ocamlfind query lwt.unix > /dev/null 2> /dev/null \
		|| (echo "\nLwt not installed" && false)
	@ocamlfind query lambdasoup > /dev/null 2> /dev/null \
		|| (echo "\nLambda Soup not installed" && false)

.PHONY : clean
clean :
	rm -rf $(HTML) $(PUBLISH) $(DOC_ZIP)
	dune clean
	rm -rf _coverage

=== debian/changelog ===
ocaml-markup (1.0.3-1build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:48:38 +0200

ocaml-markup (1.0.3-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jun 2025 09:38:07 +0200

ocaml-markup (1.0.3-1build3) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:38:22 -0400

ocaml-markup (1.0.3-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:05:12 +0100

ocaml-markup (1.0.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:02:11 +0100

ocaml-markup (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1093660)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 21 Jan 2025 01:12:18 +0100

=== debian/control ===
Source: ocaml-markup
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libuchar-ocaml-dev,
 libuutf-ocaml-dev,
 liblwt-ocaml-dev,
 libbisect-ppx-ocaml-dev <!nocheck>,
 libounit-ocaml-dev <!nocheck>,
 dh-ocaml (>= 1.2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/aantron/markup.ml
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-markup.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-markup

Package: libmarkup-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: error-recovering functional HTML5 and XML parsers and writers (dev files)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains development files.

Package: libmarkup-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: error-recovering functional HTML5 and XML parsers and writers (runtime)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains runtime files.

Package: libmarkup-lwt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: adapter between Markup.ml and Lwt (dev files)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains the adapter between Markup.ml and Lwt.
 .
 This package contains development files.

Package: libmarkup-lwt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: adapter between Markup.ml and Lwt (runtime)
 Markup.ml provides an HTML parser and an XML parser. The parsers are
 wrapped in a simple interface: they are functions that transform byte
 streams to parsing signal streams. Streams can be manipulated in
 various ways, such as processing by fold, filter, and map, assembly
 into DOM tree structures, or serialization back to HTML or XML.
 .
 Both parsers are based on their respective standards. The HTML
 parser, in particular, is based on the state machines defined in
 HTML5.
 .
 The parsers are error-recovering by default, and accept
 fragments. This makes it very easy to get a best-effort parse of some
 input. The parsers can, however, be easily configured to be strict,
 and to accept only full documents.
 .
 Apart from this, the parsers are streaming (do not build up a
 document in memory), non-blocking (can be used with threading
 libraries), lazy (do not consume input unless the signal stream is
 being read), and process the input in a single pass. They
 automatically detect the character encoding of the input stream, and
 convert everything to UTF-8.
 .
 This package contains the adapter between Markup.ml and Lwt.
 .
 This package contains runtime files.

=== debian/watch ===
version=4
https://github.com/aantron/markup.ml/tags .*/v?(.*)\.tar\.gz
